# TODO
# - rename to xvidcore like the rest of the world names it
Summary:	ISO MPEG-4 compliant video codec
Summary(pl.UTF-8):	Implementacja kodeka wideo zgodnego ze standardem ISO MPEG-4
Name:		xvid
Version:	1.3.7
Release:	1
Epoch:		1
License:	GPL v2+
Group:		Libraries
# Source0Download: https://labs.xvid.com/source/
Source0:	https://downloads.xvid.com/downloads/%{name}core-%{version}.tar.bz2
# Source0-md5:	81a45b0ce8c4376e35faa788aa8199f3
Patch0:		x32.patch
URL:		https://www.xvid.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%ifarch %{ix86} %{x8664} x32
# or nasm >= 2.0
BuildRequires:	yasm >= 1
%endif
Provides:	xvidcore = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-Wl,-z,noexecstack

%description
ISO MPEG-4 compliant video codec. You can play OpenDivX and DivX4
videos with it, too.

%description -l pl.UTF-8
Implementacja kodeka wideo zgodnego ze standardem ISO MPEG-4. Za
pomocą tej biblioteki można także odtwarzać pliki zapisane w
standardzie OpenDivX i DivX4.

%package devel
Summary:	Development files of XviD video codec
Summary(pl.UTF-8):	Pliki programistyczne dla kodeka wideo XviD
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	xvidcore-devel = %{epoch}:%{version}-%{release}

%description devel
Development files of XviD video codec.

%description devel -l pl.UTF-8
Pliki programistyczne dla kodeka wideo XviD.

%package static
Summary:	Static XviD video codec library
Summary(pl.UTF-8):	Statyczna biblioteka kodeka wideo XviD
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	xvidcore-static = %{epoch}:%{version}-%{release}

%description static
Static XviD video codec library.

%description static -l pl.UTF-8
Statyczna biblioteka kodeka wideo XviD.

%prep
%setup -q -n %{name}core
%patch0 -p1

%build
cd build/generic
sed -i -e 's#@$(AS)#$(AS)#g' Makefile
sed -i -e 's#@$(CC)#$(CC)#g' Makefile
sed -i -e 's#@cd#cd#g' Makefile
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

%{__make} -C build/generic install \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	includedir=$RPM_BUILD_ROOT%{_includedir}

cd $RPM_BUILD_ROOT%{_libdir}
ln -sf libxvidcore.so.*.* libxvidcore.so
/sbin/ldconfig -n .

chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/README
%attr(755,root,root) %{_libdir}/libxvidcore.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxvidcore.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxvidcore.so
%{_includedir}/xvid.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libxvidcore.a
%changelog
* Sat Mar 14 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xvid.git;a=log;h=master

* Sat Mar 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 58f554f
- updated to 1.3.7

* Wed Dec 20 2017 Jakub Bogusz <qboosh@pld-linux.org> 5458cf7
- updated to 1.3.5

* Wed Oct 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 2093a87
- updated to 1.3.4

* Thu Mar 05 2015 Jan Rękorajski <baggins@pld-linux.org> bb10258
- fix building on x32
- rel 3

* Fri Mar 02 2012 Elan Ruusamäe <glen@pld-linux.org> 7bda838
- package ghost soname symlink

* Tue May 31 2011 Jakub Bogusz <qboosh@pld-linux.org> 0d8a1cc
- fixed -z noexecstack option in specflags; gold couldn't stand this extra dash

* Tue May 31 2011 Grzesiek Pycia <gzohop@pld-linux.org> a88ea9a
- up to 1.3.2

* Fri Mar 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 146e73b
- removed obsolete ac patch

* Fri Mar 25 2011 Grzesiek Pycia <gzohop@pld-linux.org> 1e10368
- up to 1.3.1

* Mon Nov 01 2010 Elan Ruusamäe <glen@pld-linux.org> a339fa6
- remove comment as well

* Mon Nov 01 2010 Jakub Bogusz <qboosh@pld-linux.org> 9731c6c
- removed outdated textrel patch

* Mon Nov 01 2010 Jakub Bogusz <qboosh@pld-linux.org> 34e16b8
- download URL

* Fri Sep 10 2010 Elan Ruusamäe <glen@pld-linux.org> 15e1367
- release 6

* Sun Aug 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ea9f6e3
- rel 5; works fine with nasm 2.07

* Sat Aug 01 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a55e078
- rel 4; disable asm on non x86 (nasm object files linking fails)

* Sat Aug 01 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 73b513c
- rel 3

* Sun Jul 19 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> fca4969
- rel 2

* Fri May 29 2009 Grzesiek Pycia <gzohop@pld-linux.org> fbc0abf
- up to 1.2.2
- no textrel.patch

* Mon Nov 24 2008 Grzesiek Pycia <gzohop@pld-linux.org> 826277d
- release 5

* Sun Nov 23 2008 Grzesiek Pycia <gzohop@pld-linux.org> 403e38b
- removed BR: nasm
- added BR: yasm

